Last modified: 2011-02-11 21:40:16 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 26602 - Corrupt link to version when viewing a diff
Corrupt link to version when viewing a diff
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
FlaggedRevs (Other open bugs)
unspecified
All All
: Normal critical (vote)
: ---
Assigned To: Priyanka Dhanda
http://de.wikipedia.org/w/index.php?t...
:
Depends on:
Blocks: 26611
  Show dependency treegraph
 
Reported: 2011-01-06 09:29 UTC by Bergi
Modified: 2011-02-11 21:40 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Bergi 2011-01-06 09:29:46 UTC
Since Bug 25289 went live, the diff view is loaded per JavaScript. Before that happens, the user gets a link to the diff. Without JS he has to use it. Not friendly, but OK.
Today at [[:de:WP:AA]] we got a request that this link doesn't work. The oldid parameter is missing, so you will have to follow the link above to see the version. For example, in the denoted URL above the link is just http://de.wikipedia.org/w/index.php?title=...&oldid= instead of http://de.wikipedia.org/w/index.php?title=...&oldid=83430288

Please fix it fast.
Comment 1 Rob Lanphier 2011-01-06 17:31:42 UTC
Yup, I see it.  We'll take a look at it.
Comment 2 Aaron Schulz 2011-01-08 20:18:33 UTC
r78214 didn't fully merge r78213 for some reason. Was that done manually or something?
Comment 3 Aaron Schulz 2011-01-21 07:48:13 UTC
(In reply to comment #2)
> r78214 didn't fully merge r78213 for some reason. Was that done manually or
> something?

BTW, this is the sole cause (if that wasn't clear).
Comment 4 Rob Lanphier 2011-02-10 22:18:28 UTC
Priyanka, we think this was dealt with, but could you confirm that this is fixed for 1.17?

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links